summaryrefslogtreecommitdiff
path: root/platform/linux/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'platform/linux/scripts')
-rwxr-xr-xplatform/linux/scripts/coveralls.sh13
-rwxr-xr-xplatform/linux/scripts/run.sh3
2 files changed, 16 insertions, 0 deletions
diff --git a/platform/linux/scripts/coveralls.sh b/platform/linux/scripts/coveralls.sh
new file mode 100755
index 0000000000..468fa4774b
--- /dev/null
+++ b/platform/linux/scripts/coveralls.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+source ./platform/linux/scripts/setup.sh
+
+################################################################################
+# Coveralls
+################################################################################
+
+mapbox_time "make_coveralls" \
+make coveralls -j${JOBS}
diff --git a/platform/linux/scripts/run.sh b/platform/linux/scripts/run.sh
index 3e40881ec6..1c0c13968a 100755
--- a/platform/linux/scripts/run.sh
+++ b/platform/linux/scripts/run.sh
@@ -17,6 +17,9 @@ make linux -j${JOBS} BUILDTYPE=${BUILDTYPE}
mapbox_time "compile_render_binary" \
make render -j${JOBS} BUILDTYPE=${BUILDTYPE}
+mapbox_time "compile_offline_binary" \
+make offline -j${JOBS} BUILDTYPE=${BUILDTYPE}
+
mapbox_time "compile_tests" \
make test -j${JOBS} BUILDTYPE=${BUILDTYPE}